complexType "SecurityDeliveryReturn"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 9 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | assetReference?, valueDate?, ((nominalAmount?, dirtyPrice?) | (numberOfUnits?, unitPrice?))?, marketValue?, haircut?, collateralValue?
</...>

Content Model Elements (9):

  assetReference (in security), collateralValue (in security), dirtyPrice, haircut (in security), marketValue (in security), | nominalAmount (in security), numberOfUnits (in security), unitPrice, valueDate (in security)

All Direct / Indirect Based Elements (1):

  security

Known Usage Locations

- As direct type of elements (1):
  security

XML Source (see within schema source)

<xsd:complexType name="SecurityDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="assetReference" type="AssetReference"/> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/> <xsd:choice minOccurs="0"> <xsd:group ref="NominalAmount.model"/> <xsd:group ref="UnitContract.model"/> </xsd:choice> <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/> <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/9)
assetReference

  Type: | AssetReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="assetReference" type="AssetReference"/>

collateralValue

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/>

haircut

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/>

marketValue

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/>

valueDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.